/* Charles Young
	section 1
	Lab9A
	10/28/2022
	splits lab8 into different files under one main header 
*/

#include "defs.h"
void fillFlagArray(unsigned int array, int width, int height){
   int i, j;
	for (i=0; i < h1.height; i++) {
      for (j=0; (j < h1.width/3); j++) {
        pix.red=0;
        pix.green=128;
        pix.blue=0;
		  colors[k++]= pix;
      }
      for (; j<(2*h1.width/3); j++) {
        pix.red=255;
        pix.green=255;
        pix.blue=255;
		  colors[k++]=pix;
      }
      for (; j<h1.width; j++) {
         pix.red=255;
         pix.green=165;
         pix.blue=0;
			colors[k++]=pix;
      }
   }
}
